Bug 139940 - FILEOPEN DOCX: gradient has lost its colour
Summary: FILEOPEN DOCX: gradient has lost its colour
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.2.0 target:7.1.2 target:7.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2021-01-27 06:38 UTC by Justin L
Modified: 2021-03-08 05:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
gradient-position-brightness_Word2003.pdf: It also looked like this in LO 6.4.7 (38.69 KB, application/pdf)
2021-01-27 06:38 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2021-01-27 06:38:36 UTC
Created attachment 169172 [details]
gradient-position-brightness_Word2003.pdf: It also looked like this in LO 6.4.7

Open gradient-position-brightness.docx (attachment 155603 [details] from bug 128648)
The squares should all be gradients of a soft blue to white. Since LO 7.0.1 they are almost entirely white.

Caused by author Miklos Vajna on 2020-08-06 13:25:19 +0200
commit	73993fdb5d4b507694cd0edf80887d19f7e2bf9a
    tdf#134183 PPTX: improve import of transparency in multi-step gradients

CC'd Miklos
Comment 1 Justin L 2021-01-27 07:53:12 UTC
I took a stab at fixing it with http://gerrit.libreoffice.org/c/core/+/110004
Comment 2 Commit Notification 2021-03-04 16:46:05 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/247963e53cce24c199a751c8ffb17f58b3a7d473

tdf#139940 oox: mark end before growing largest segment backwards

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-03-05 09:21:59 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/db5b95ada67fece82e68871e5eff0c028afd8d9c

tdf#139940 oox: mark end before growing largest segment backwards

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2021-03-07 18:36:57 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: ee0f845b3d739a6109f08d5c0cd0d839100f6828
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Justin Luth, thanks for fixing this issue!!
Comment 5 Commit Notification 2021-03-07 18:37:59 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7502838f28e4dfca522a61ec7395dc64b8e350c6

tdf#139940 oox: mark end before growing largest segment backwards

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.